Subject: bug#14038: 24.2; emacs24-x crashed with SIGSEGV in style_changed_cb()

From: Petr Hracek <[email-masked]>
Date: Tue, 26 Mar 2013 12:42:04 +0100

Hello,

we have similar case in Fedora 18
https://bugzilla.redhat.com/show_bug.cgi?id=922519

Description of problem:
I closed emacs with reboot purposes, but I am newbie, I don't know how to deal with emacs client and server together and I have not found proper guide, so It should be somtehing that related. Being Emacs-server still working at background probably receives the closing order as a kill signal. It's all what I know, by now...
If so what should I do?
Thanks.

Version-Release number of selected component:
emacs-24.2-6.fc18

Additional info:
backtrace_rating: 4
cmdline:        emacs --daemon
crash_function: style_changed_cb
executable:     /usr/bin/emacs-24.2
kernel:         3.8.2-206.fc18.i686
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
  #0 style_changed_cb at /usr/src/debug/emacs-24.2/src/gtkutil.c:1053
  #1 g_cclosure_marshal_VOID__PARAM at gmarshal.c:1042
  #7 g_object_notify_by_spec_internal at gobject.c:1135
  #8 g_object_notify at gobject.c:1177
  #9 _gtk_settings_handle_event at gtksettings.c:2595
  #10 gtk_main_do_event at gtkmain.c:1496
  #11 _gdk_event_emit at gdkevents.c:69
  #16 g_main_context_iteration at gmain.c:3351
  #17 gtk_main_iteration at gtkmain.c:1264
  #18 XTread_socket at /usr/src/debug/emacs-24.2/src/xterm.c:7187

Best regards
Petr

On 03/23/2013 08:48 AM, Walter Garcia-Fontes wrote:
> This bug report will be sent to the Bug-GNU-Emacs mailing list
> and the GNU bug tracker at debbugs.gnu.org.  Please check that
> the From: line contains a valid email address.  After a delay of up
> to one day, you should receive an acknowledgement at that address.
>
> Please write in English if possible, as the Emacs maintainers
> usually do not have translators for other languages.
>
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
>
> Emacs 24.2 just crashes spontaneously without doing anything special.
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>      `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /usr/share/emacs/24.2/etc/DEBUG.
>
> Please see:
> https://bugs.launchpad.net/ubuntu/+source/emacs24/+bug/1028286
>
> for a stacktrace of this crash.
>
> In GNU Emacs 24.2.1 (x86_64-pc-linux-gnu, GTK+ Version 3.6.4)
>   of 2013-03-05 on lamiak, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11303000
> Configured using:
>   `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
>   '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
>   '--localstatedir=/var/lib' '--infodir=/usr/share/info'
>   '--mandir=/usr/share/man' '--with-pop=yes'
>   '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.2/site-lisp:/usr/share/emacs/site-lisp'
>   '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
>   '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
>   'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
>   --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
>   'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
>   'CPPFLAGS=-D_FORTIFY_SOURCE=2''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: en_US.UTF-8
>    value of $LC_NUMERIC: en_US.UTF-8
>    value of $LC_TIME: en_US.UTF-8
>    value of $LANG: en_US.UTF-8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: Octave
>
> Minor modes in effect:
>    show-paren-mode: t
>    tooltip-mode: t
>    mouse-wheel-mode: t
>    tool-bar-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> C-h C-c C-x b <return> C-x C-p C-g C-x C-g C-j C-n
> C-n C-h C-p C-n C-n C-v C-v C-v C-v C-v C-v C-v C-x
> b <return> <escape> x r e p o <tab> r <tab> e m <tab>
> <backspace> <backspace> <backspace> <backspace> u <tab>
> <return>
>
> Recent messages:
> Restarting server
> When done with a buffer, type C-x #
> Note: file is write protected
> View mode: type C-h for help, h for commands, q to quit.
> Quit
> Note: file is write protected
> View mode: type C-h for help, h for commands, q to quit.
> Auto-saving...done
> Making completion list...
> scroll-up-command: End of buffer
>
> Load-path shadows:
>
>
>

-- 
S pozdravem / Best regards

Petr Hracek

Red Hat Czech s.r.o.
BaseOS Core Services Brno

Email: [email-masked]
Web: www.cz.redhat.com